# allComponents

abstract fun allComponents(action: Action<in ResolvedComponentResult>)

Applies given action for each component. An instance of ResolvedComponentResult is passed as parameter to the action.

#### Parameters

action

- action that is applied for each component

abstract fun allComponents(@DelegatesTo(value = ResolvedComponentResult::class) closure: Closure)

Applies given closure for each component. An instance of ResolvedComponentResult is passed as parameter to the closure.

#### Parameters

closure

- closure that is applied for each component